patch channel.md

Patch Channel

Channels API · channels

PATCH /ui/connectors/channels-api/latest/channels/{channel_id}/

Update channel displayName or state.

Path parameters

Name Type Required Description
channel_id string Yes

Request body

Content type: application/json · Required

Example request

curl -X PATCH "/ui/connectors/channels-api/latest/channels/{channel_id}/" \
  -H "Content-Type: application/json" \
  -d '{
  "metadata": {
    "displayName": "string"
  },
  "spec": {
    "state": "Running"
  }
}'

Responses

200 — Successful Response

Example:

{
  "kind": "BeamChannel",
  "metadata": {
    "name": "string",
    "displayName": "string",
    "created": "2024-01-01T00:00:00Z"
  },
  "spec": {
    "type": "EncodingContribution",
    "state": "Stopped",
    "inputs": [],
    "transform": {
      "encoding": {
        "video": {
          "codec": "H264High",
          "videoFormat": "1920x1080p",
          "bitrate": 6000000,
          "frameRate": "TrueMotion"
        },
        "audios": []
      },
      "abrEncoding": {
        "representations": [],
        "sharedAudios": []
      },
      "multiplexing": {
        "enabled": false
      }
    },
    "outputs": []
  },
  "status": {
    "state": "Stopped",
    "health": {
      "severity": "Clear"
    },
    "inputs": [],
    "outputs": [],
    "syncState": "Ok",
    "syncError": []
  },
  "serviceIds": [
    "string"
  ]
}

422 — Validation Error

Example:

{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

503 — Service unavailable

No response body.


Source spec: channels-api · operationId: patch_channel_channels__channel_id___patch